After copying an issue, revision list does not get updated 

2011-02-18 09:01 - Ivan Cenov

Status: Closed Start date: 2011-02-18

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I think I found a bug or some omission.

How to reproduce it:

1. Create an issue #nnn in project PA.

2. Associate an Subversion repository to project PB.

3. Commit an revision in this repository and add 'resolved' string in the message with number #nnn. The revision will not appear in

the issue #nnn, because it belongs to another project (PA instead of PB).

4. Move the issue to project PB.

5. You may expect that the revision has appeared in the issue #nnn, but it hasn't. <<< This is what I call a bug or an omission.

6. Remove the repository, associated to project PB.

7. Assign the same repository to project PB.

8. Fetch revisions.

9. Take a look at the issue #nnn. The omitted revision is there.

The last two steps resolve the problem, so I think it is now serious one thus I set the priority of the issue to 'Low'.

History

#1 - 2011-02-18 09:37 - Ivan Cenov

I posted the same issue in ChiliProject: https://www.chiliproject.org/issues/200

#2 - 2011-02-23 01:25 - Jean-Baptiste Barth

It's because changesets are linked to an issue only under certain conditions, one of these being the repository project being the same as the issue

project (or in the same hierarchy).

I see at least two simple solutions :

1. link changesets to issues without checking projects equality

pros: fast, simple

cons: prevents us from moving repository behaviour at project level in the future (e.g. PA references issues with one keyword, PB with an

other keyword)

2. rescan for changesets on issue move

cons: could be long with big repos

Any though about the best solution ?

#3 - 2011-02-23 09:12 - Etienne Massip

We could link changeset to issue without checking projects equality and only display in the issue page the changeset only if visible from the user pov

?

#4 - 2011-11-26 07:02 - Ivan Cenov

- Status changed from New to Resolved

The second solution is satisfactory for me. I use it after editing revision messages (in case of misspelling issue numbers par ex.).

If no one else is interested in this issue, please close it.

#5 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...
#6 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed
